Subject: [TR] GT6 engine tuning

From: Stephen Oertwig <[email-masked]>
Date: Sat, 16 Apr 2016 16:16:46 -0400

Joao - look at Kastner's books on tuning GT6s and talk to Ted Schmacher about engine tuning. It only takes money to get horsepower and shed weight. 

On Apr 16, 2016, at 2:00 PM, [email-masked] wrote:

Date: Sat, 16 Apr 2016 09:49:07 -0400
From: Joao Simoes <[email-masked]>
To: [email-masked]
Subject: [TR] GT6 engine

Hi!
As some of you may know, I am building a GT6 chassis with a Spitfire body.
I need some wisdom on the engine.
I am seeking something like 120 to 130 hp from the 2.0 liter, any suggestions on cam, head work, carbs and exhaust?

Also, I understand the tr6 has the same engine but longer stroke, but this will require  an oil pan 'mod'. Is this extensive? Also, is the 2.5's greater torque worth the loss in revability?

Finally, I understand the 6 is heavier than the 4, negatively affecting handling. I am not planning on modifying how it is mounted like Mr. Tegler has, as I am not that skilled, but is there something to be gained by using an aluminum water pump body, front and rear engine plates and radiator? 

Would the aluminum parts being bolted to the cast iron engine cause corrosion issues?

Oh, and is the stock oil pump ok? I heard it's the same as the Spit's. Also, are the stories about using an extra hose to route oil to the head for the rockers helping true? Would that Rob oil from the main bearings?

My purpose is to have a fun road car that is tractable and can occasionally be taken to the track for amateur fun events.

Sorry for the long post.

Take care,

Joao

------------------------------

** [email-masked] **

Archive: http://www.team.net/archive